cURL
pcall GET "/api/v1/partner/webhooks/endpoints/we_3f9a1c7e5b2d4086a1b3c5d7e9f01234/deliveries?status=dead&limit=50"const res = await call("GET", "/api/v1/partner/webhooks/endpoints/we_3f9a1c7e5b2d4086a1b3c5d7e9f01234/deliveries?status=dead&limit=50");
const { data } = await res.json();res = call("GET", "/api/v1/partner/webhooks/endpoints/we_3f9a1c7e5b2d4086a1b3c5d7e9f01234/deliveries?status=dead&limit=50")
data = res.json()["data"]<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-bc.userecord.io/api/v1/partner/webhooks/endpoints/{endpoint_id}/deliveries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-secret-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-bc.userecord.io/api/v1/partner/webhooks/endpoints/{endpoint_id}/deliveries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-secret-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-bc.userecord.io/api/v1/partner/webhooks/endpoints/{endpoint_id}/deliveries")
.header("x-api-key", "<api-key>")
.header("x-secret-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-bc.userecord.io/api/v1/partner/webhooks/endpoints/{endpoint_id}/deliveries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["x-secret-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"items": [
{
"delivery_id": "dlv_7a1b3c5d7e9f0123456789abcdef0123",
"event_id": "evt_9c2e4a6b8d0f1234567890abcdef1234",
"endpoint_id": "we_3f9a1c7e5b2d4086a1b3c5d7e9f01234",
"status": "dead",
"attempts": 11,
"next_attempt_at": null,
"last_status_code": 503,
"last_error": "HTTP 503",
"last_latency_ms": 142,
"last_attempt_at": "2026-10-05T12:41:12.000Z",
"delivered_at": "2026-10-05T12:41:12.000Z",
"delivered_via": "webhook",
"created_at": "2026-10-05T12:41:11.000Z"
}
],
"count": 1,
"total": null,
"next_cursor": null,
"has_more": false
}
}{
"success": false,
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Webhooks
List deliveries
Every send to this endpoint, newest first: attempts, last HTTP status or error, when the next retry is due.
Scope: webhooks:manage
GET
/
webhooks
/
endpoints
/
{endpoint_id}
/
deliveries
cURL
pcall GET "/api/v1/partner/webhooks/endpoints/we_3f9a1c7e5b2d4086a1b3c5d7e9f01234/deliveries?status=dead&limit=50"const res = await call("GET", "/api/v1/partner/webhooks/endpoints/we_3f9a1c7e5b2d4086a1b3c5d7e9f01234/deliveries?status=dead&limit=50");
const { data } = await res.json();res = call("GET", "/api/v1/partner/webhooks/endpoints/we_3f9a1c7e5b2d4086a1b3c5d7e9f01234/deliveries?status=dead&limit=50")
data = res.json()["data"]<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-bc.userecord.io/api/v1/partner/webhooks/endpoints/{endpoint_id}/deliveries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-secret-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-bc.userecord.io/api/v1/partner/webhooks/endpoints/{endpoint_id}/deliveries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-secret-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-bc.userecord.io/api/v1/partner/webhooks/endpoints/{endpoint_id}/deliveries")
.header("x-api-key", "<api-key>")
.header("x-secret-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-bc.userecord.io/api/v1/partner/webhooks/endpoints/{endpoint_id}/deliveries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["x-secret-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"items": [
{
"delivery_id": "dlv_7a1b3c5d7e9f0123456789abcdef0123",
"event_id": "evt_9c2e4a6b8d0f1234567890abcdef1234",
"endpoint_id": "we_3f9a1c7e5b2d4086a1b3c5d7e9f01234",
"status": "dead",
"attempts": 11,
"next_attempt_at": null,
"last_status_code": 503,
"last_error": "HTTP 503",
"last_latency_ms": 142,
"last_attempt_at": "2026-10-05T12:41:12.000Z",
"delivered_at": "2026-10-05T12:41:12.000Z",
"delivered_via": "webhook",
"created_at": "2026-10-05T12:41:11.000Z"
}
],
"count": 1,
"total": null,
"next_cursor": null,
"has_more": false
}
}{
"success": false,
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Authorizations
Your key id, VFN_TEST_… or VFN_LIVE_…. Sent on every request.
Your secret, VFN_SK_…. Not a real header, and never sent to the API. It is only a form field for Try it, which uses it to sign your request in your browser. In your own code you sign each request with the secret and send x-api-key, x-timestamp and x-signature (see Authentication).
Path Parameters
Pattern:
^we_[a-f0-9]{32}$Query Parameters
Available options:
pending, in_flight, retrying, held, delivered, dead 1 to 100, default 50
Required range:
1 <= x <= 100The next_cursor of the previous page
Maximum string length:
512
